maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Robert Scholte (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (MJDEPS-4) Upgrade commons-lang to be able to run with JDK9
Date Mon, 28 Aug 2017 11:53:00 GMT

    [ https://issues.apache.org/jira/browse/MJDEPS-4?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16143690#comment-16143690
] 

Robert Scholte commented on MJDEPS-4:
-------------------------------------

Fixed in [r1806434|http://svn.apache.org/viewvc?rev=1806434&view=rev]

> Upgrade commons-lang to be able to run with JDK9
> ------------------------------------------------
>
>                 Key: MJDEPS-4
>                 URL: https://issues.apache.org/jira/browse/MJDEPS-4
>             Project: MJDEPS
>          Issue Type: Improvement
>            Reporter: Mark Derricutt
>            Assignee: Robert Scholte
>
> When running this plugin with Java9 it fails with
> {code}
> Caused by: java.lang.ExceptionInInitializerError
>     at org.apache.maven.plugin.jdeps.AbstractJDepsMojo.getJDepsExecutable(AbstractJDepsMojo.java:359)
>     at org.apache.maven.plugin.jdeps.AbstractJDepsMojo.execute(AbstractJDepsMojo.java:196)
>     at org.apache.maven.plugin.DefaultBuildPluginManager.executeMojo(DefaultBuildPluginManager.java:134)
>     ... 21 more
> Caused by: java.lang.StringIndexOutOfBoundsException: begin 0, end 3, length 1
>     at java.base/java.lang.String.checkBoundsBeginEnd(String.java:3116)
>     at java.base/java.lang.String.substring(String.java:1885)
>     at org.apache.commons.lang.SystemUtils.getJavaVersionAsFloat(SystemUtils.java:1133)
>     at org.apache.commons.lang.SystemUtils.<clinit>(SystemUtils.java:818)
>     ... 24 more
> {code}
> Like other plugins upgrading commons-lang will fix this.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message